# Uses of Class
org.apache.qpid.proton.engine.impl.ConnectionImpl

Packages that use ConnectionImpl
Package
Description
org.apache.qpid.proton.engine.impl

## Uses of ConnectionImpl in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return ConnectionImpl
Modifier and Type
Method
Description
`ConnectionImpl`
SessionImpl.`getConnection()`
`protected ConnectionImpl`
ConnectionImpl.`getConnectionImpl()`
`protected abstract ConnectionImpl`
EndpointImpl.`getConnectionImpl()`
`protected ConnectionImpl`
LinkImpl.`getConnectionImpl()`
`protected ConnectionImpl`
SessionImpl.`getConnectionImpl()`
`protected ConnectionImpl`
TransportImpl.`getConnectionImpl()`